core / TypeOnlyCommandData

# TypeOnlyCommandData

`abstract class TypeOnlyCommandData : CommandData`

Commands that inherit from this are intended to have no data items: its only their presence that matters.

### Constructors

<init> | `TypeOnlyCommandData()` Commands that inherit from this are intended to have no data items: its only their presence that matters.

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): <ERROR CLASS>`

### Inheritors

Agree | `class Agree : TypeOnlyCommandData, Commands`
Close | `class Close : TypeOnlyCommandData, Commands`
Create | `class Create : TypeOnlyCommandData, Commands`
Fix | `class Fix : TypeOnlyCommandData, Commands`
Issue | `class Issue : TypeOnlyCommandData, Commands`
Mature | `class Mature : TypeOnlyCommandData, Commands`
Move | `class Move : TypeOnlyCommandData, Commands`
Move | `class Move : TypeOnlyCommandData, Commands`
Pay | `class Pay : TypeOnlyCommandData, Commands`
Pledge | `class Pledge : TypeOnlyCommandData, Commands`
Redeem | `class Redeem : TypeOnlyCommandData, Commands`
Register | `class Register : TypeOnlyCommandData, Commands`